/*	File:	errors.h
	Author:	Alex Fedosov
	Date:	December 12, 2000
	Description:	game error codes
*/

#ifndef __ERRORS_H__
#define __ERRORS_H__

enum DMZ_ERRORS {
	DMZ_SUCCESS = 1,
	DMZ_BAD_PARAM = -1,
	DMZ_RES_ERROR = -2,
	DMZ_BAD_MESSAGE = -3,
	DMZ_INIT_ERROR = -4,
	DMZ_DATA_ERROR = -5,
	DMZ_DATA_ERROR_TERRAIN = -6,
	DMZ_DATA_ERROR_BITMAP = -7,
	DMZ_DATA_ERROR_MAP = -8,
	DMZ_DATA_ERROR_OBJECT = -9,
	DMZ_MAP_ERROR = -10,
	DMZ_OBJECT_ERROR = -11,
	DMZ_INVALID_MOVE = -12,
	DMZ_MOUSE_ERROR = -13,
	DMZ_NETWORK_ERROR = -14
};

#endif
