/*	File:	thread.h
	Author:	Alex Fedosov
	Date:	December 15, 2000
	Description:	Unix thread primitives
*/

#if !defined(unix)
#error "This is a Unix include file and you are compiling for something else!"
#endif

#ifndef __THREAD_H__
#define __THREAD_H__

#include <pthread.h>

typedef void* (* __thread_func)(void *);

#define dmz_thread_create(func, arg, id) \
	pthread_create((pthread_t *) id, NULL, (__thread_func) func, arg)
#define dmz_thread_exit(rv) pthread_exit((void *) rv)

#endif