/*	File:	npc.c
	Author:	Nancy Montanez, Alex Fedosov
	Date:	March 16, 2001
	Description:	NPC actions
*/
#include <stdio.h>
#include <string.h>

#include "client.h"

#define NPCWORDS 6

char npc_words[NPCWORDS][MAXCHATBUF] = {
	"WANNA BUY SOME BEER",
	"I HAVE CHEAPER BEER",
	"DAMN FOREIGNERS",
	"MAN ARE YOU LOST",
	"HELLOO",
	"GOT ANY WEED"
};

void NPC_action(WORD16 npc, WORD16 player)
{
	/* display a messange upon collision with NPC */
	struct dmz_message m;

	int i = sgdwFrame % NPCWORDS;

	memset(&m, 0, sizeof(struct dmz_message));
	
	sprintf(m.u.chat.text, "%s   %s", dmz_objects[npc]->name,
		npc_words[i]);
	
	m.type = CHAT;
	m.objid = npc;

	LL_add(incomingQ, &m, 1);
}
