/*	File:	draw.h
	Author:	Alex Fedosov
	Date:	April 30, 2001
	Description:	header for drawing routines
*/

#ifndef __DRAW_H__
#define __DRAW_H__

/* dimensions */

#define FONT_W 16
#define FONT_H 16

#define HELP_W 320
#define HELP_H 240

/* positions */

#define CHAT_X 20
#define CHAT_Y 20

#define INPUT_X 52
#define INPUT_Y 532

#define SCORE_X 100
#define SCORE_Y 100

#define HELP_X 40
#define HELP_Y 40

#define DRAW_INV_X 330
#define DRAW_INV_Y 30

void DrawString(char *string, int x, int y);
void DrawCurrentScores(void);
void DrawPlayerRadarBlip(int player, unsigned int color);
void DrawOtherRadarBlip(int player, int width, int height, unsigned int color);

#endif
